<?xml version="1.0" encoding="utf-8" ?>
<!-- XSD manual extracted from package NLog.Schema: https://www.nuget.org/packages/NLog.Schema-->
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xsi:schemaLocation="NLog NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true"
      internalLogFile="c:\temp\console-internal.log"
      internalLogLevel="Info" >
    
    <targets>
        <!-- write logs to file -->
        <target xsi:type="File" name="logfile" fileName="CipherJSON.log"
                layout="${longdate}|${level}|${message} |${all-event-properties} ${exception:format=tostring}" />
        <target name="logconsole"
                xsi:type="ColoredConsole"
                useDefaultRowHighlightingRules="true"
                detectConsoleAvailable="true"
                layout="${longdate}|${level}|${message} |${all-event-properties} ${exception:format=tostring}" />
    </targets>
    
    <rules>
        <logger name="*" minlevel="Trace" writeTo="logconsole" />
        <logger name="*" minlevel="Debug" writeTo="logfile" />
    </rules>
</nlog>